Patch for Smart Launcher

WARNING! Install this app only if you are experiencing problem with Smart Launcher!
If you have android >4.1 you probably don't need this app.

Use this option if you can't set Smart Launcher as default launcher.
Read more
Collapse
4.4
6,377 total
5
4
3
2
1
Loading...

Additional Information

Updated
May 15, 2014
Size
16k
Installs
500,000+
Current Version
1.1
Requires Android
2.1 and up
Content Rating
Everyone
Permissions
Offered By
Smart Launcher Team
Developer
Via Scaloria 129 c/o st. D'amico, Manfredonia (FG)
©2019 GoogleSite Terms of ServicePrivacyDevelopersArtistsAbout Google|Location: United StatesLanguage: English (United States)
By purchasing this item, you are transacting with Google Payments and agreeing to the Google Payments Terms of Service and Privacy Notice.